Skip to content
This repository

make gonk error with qemu-ics #291

Open
float-tw opened this Issue · 6 comments

7 participants

float Andreas Gal Michael Wu Naveen Kumar Singh feelow Carlos Eduardo L. Lopes Tomer Cohen
float

$ make config-qemu-ics
$ make gonk

...
ERROR: prebuilts/tools/gcc-sdk/../../gcc/linux-x86/host/x86_64-linux-glibc2.7-4.6/bin/x86_64-linux-gcc only run on 64-bit linux
make[1]: *** [out/host/linux-x86/obj/EXECUTABLES/emulator64-arm_intermediates/keymaps.o] Error 1
ERROR: prebuilts/tools/gcc-sdk/../../gcc/linux-x86/host/x86_64-linux-glibc2.7-4.6/bin/x86_64-linux-gcc only run on 64-bit linux
make[1]: *** [out/host/linux-x86/obj/EXECUTABLES/emulator64-arm_intermediates/dma-helpers.o] Error 1
ERROR: prebuilts/tools/gcc-sdk/../../gcc/linux-x86/host/x86_64-linux-glibc2.7-4.6/bin/x86_64-linux-gcc only run on 64-bit linux
make[1]: *** [out/host/linux-x86/obj/EXECUTABLES/emulator64-arm_intermediates/loader.o] Error 1
ERROR: prebuilts/tools/gcc-sdk/../../gcc/linux-x86/host/x86_64-linux-glibc2.7-4.6/bin/x86_64-linux-gcc only run on 64-bit linux
make[1]: *** [out/host/linux-x86/obj/EXECUTABLES/emulator64-arm_intermediates/gdbstub.o] Error 1
ERROR: prebuilts/tools/gcc-sdk/../../gcc/linux-x86/host/x86_64-linux-glibc2.7-4.6/bin/x86_64-linux-gcc only run on 64-bit linux
make[1]: *** [out/host/linux-x86/obj/EXECUTABLES/emulator64-arm_intermediates/qemu-timer.o] Error 1
ERROR: prebuilts/tools/gcc-sdk/../../gcc/linux-x86/host/x86_64-linux-glibc2.7-4.6/bin/x86_64-linux-gcc only run on 64-bit linux
make[1]: *** [out/host/linux-x86/obj/EXECUTABLES/emulator64-arm_intermediates/monitor.o] Error 1
make[1]: Leaving directory `/home/float/B2G/glue/gonk-ics'
make: *** [gonk] Error 2

build on 32bit ubuntu 11.10

Andreas Gal
Owner

Try to switch to the 32-bit toolchain. Its in the repo as well.

Michael Wu
Collaborator

Android recently added some 64 bit libraries which are unconditionally built. A 64 bit system is required to build now, unless you explicitly disable those 64 bit libraries.

Naveen Kumar Singh

Is it possible to compile code by commenting 64 bit dependency compilation. If then what modification does it needs and in which files.

feelow
feelow commented

Hi andreasgal
Could you tell me how to switch to the 32-bit toolchain?

Carlos Eduardo L. Lopes

@andreasgal yeah, could you tell us how to switch to the 32-bit toolchain?

Tomer Cohen

If it is impossible to build on 32 bit Linux host, please update the docs, as it is not mentioned there at all.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.